Jump to content

What version of Powershell and .NET Framework am I running?


Recommended Posts

When installing Passwordstate 9, the server you install it on requires Powershell 5, and at least .NET Framework 4.7.2.  Here's how to check the versions of these on your Passwordstate web server:

 

Powershell:

Open Powershell on your server and type in $host.  This will return the version you are running and it needs to be at least 5.0

 

.NET Framework:

Whilst you have Powershell open on your server, paste in the following code and hit enter:

 

Get-ChildItem 'HKLM:\SOFTWARE\Microsoft\NET Framework Setup\NDP' -Recurse | Get-ItemProperty -Name version -EA 0 | Where { $_.PSChildName -Match '^(?!S)\p{L}'} | Select PSChildName, version 

 

The version you are running should be 4.7.2 or higher.

 

Screenshot below of results:

2021-05-27_10-36-31.png

 

Regards,

Support

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...